syndication

PUT /v1/syndication/plans/{planId}

Change a plan's channels or behaviour.

सर्व syndication एंडपॉइंट्स

प्रमाणीकरण

बेअरर टोकन म्हणून API की पाठवा. या एंडपॉईंटने स्पष्टीकरणामध्ये ठराविक परवानगी नमूद केलेली नाही, त्यामुळे तुमच्या कीला आवश्यक तेवढाच कमीत कमी ॲक्सेस द्या आणि गृहीत धरण्याऐवजी प्रतिसाद तपासा.

या एंडपॉइंटला कोणतीही संस्था आयडी (organisation id) लागत नाही. तुमची की (key) आधीच ती कोणत्या संस्थेशी संबंधित आहे हे ओळखते आणि प्रतिसाद त्यानुसार मर्यादित केला जातो.

प्रयत्न करा

कोनसांस्कृतिक कंसात (<>) असलेली कोणतीही गोष्ट तुमच्या स्वतःच्या मूल्यांनी बदला आणि key प्लेसहोल्डरला तुमच्या डॅशबोर्डवरील किने बदला.

curl -X PUT https://api.zinndigital.com/v1/syndication/plans/{planId} \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "scope": <string<post, recipe, org_default>> }'

साइन इन केलेले आहे? तुमच्या डॅशबोर्डमधील API कन्सोल तुमची खरी संस्था आयडी आणि तुमची स्वतःची की आपोआप भरतो आणि लाइव्ह API विरुद्ध विनंती कार्यान्वित करतो जेणेकरून तुम्हाला वास्तविक प्रतिसाद पाहता येईल. एपी कन्सोलमध्ये हा एंडपॉइंट उघडा

तपशील

Replaces the plan's channel set with `connection_ids`. ⛔ Each id is re-checked against the CALLER's scope, not merely the plan's org — a connection id is a UUID somebody could paste, and a plan naming another tenant's connection would post this article to that tenant's account. Gated on `syndication.manage`.

पॅरामीटर्स

नावप्रकारआवश्यकहे काय आहे
planId (path)stringहोय

विनंती मुख्य भाग

नावप्रकारआवश्यकहे काय आहे
scopestring<post, recipe, org_default>होय
post_idstringनाही
recipe_idstringनाही
enabledbooleanनाही
write_modestring<ai_per_channel, one_text>नाही
approval_modestring<hold, send>नाही
connection_idsstring[]नाही

प्रतिसाद

नावप्रकारआवश्यकहे काय आहे
idstringहोय
scopestring<post, recipe, org_default>होयMost specific wins — an article's own plan beats its recipe's beats the org default.
post_idstringहोय
recipe_idstringहोय
enabledbooleanहोय
write_modestring<ai_per_channel, one_text>होय⚖️ Owner ruling 2026-08-20 — the AI writes per channel by default, because an X post and a LinkedIn update are not the same piece of writing.
approval_modestring<hold, send>होय⚖️ Owner ruling 2026-08-20 — hold for approval by default.
channelsSyndicationPlanChannel[]होय
created_atstringहोय

ही एंडपॉइंट परत करू शकेल अशा त्रुटी

401 · 403 · 404